module.exports = (sequelize, type) => {
    const QuestionNotes = sequelize.define('question_notes', {
        id: {
            type: type.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        user_id: type.INTEGER,
        test_id: type.INTEGER,
        q_id: type.INTEGER,
        test_type: type.ENUM('CAT', 'PRACTICE', 'LIVE', 'KA', 'MIND'),
        notes: type.TEXT,
        status: {
            type: type.INTEGER,
            defaultValue: 0
        }
    })
    return QuestionNotes;
}